### Class

# Camel SExp

since: 3.4

#### Description

    class Camel.SExp : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 3.4

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### camel_sexp_new

No description available.

since: 3.4

#### Functions

###### camel_sexp_encode_bool

Encode a bool into an s-expression `string`. Bools are encoded using #t #f syntax.

since: 3.4

###### camel_sexp_encode_string

Add a c string `v_string` to the s-expression stored in the gstring `s`. Quotes are added, and special characters are escaped appropriately.

since: 3.4

#### Instance methods

###### camel_sexp_add_function

Adds a function symbol which can not perform short evaluation. Use `camel_sexp_add_ifunction()` for functions which can.

since: 3.4

###### camel_sexp_add_ifunction

Adds a function symbol which can perform short evaluation, or doesn’t execute everything. Use `camel_sexp_add_function()` for any other types of the function symbols.

since: 3.4

###### camel_sexp_add_variable

Adds a variable named `name` to the given `scope`, set to the given `value`.

since: 3.4

###### camel_sexp_error

No description available.

since: 3.4

###### camel_sexp_eval

No description available.

since: 3.4

###### camel_sexp_evaluate_occur_times

No description available.

###### camel_sexp_fatal_error

Sets an error from the given format and stops execution. Int replaces previously set error, if any.

since: 3.4

###### camel_sexp_input_file

Prepares to scan a file.

since: 3.4

###### camel_sexp_input_text

Prepares to scan a text buffer.

since: 3.4

###### camel_sexp_parse

No description available.

since: 3.4

###### camel_sexp_parse_value

No description available.

since: 3.4

###### camel_sexp_remove_symbol

Revoes a symbol from a scope.

since: 3.4

###### camel_sexp_result_free

Frees the `result` and its internal data. Does nothing, when the `result` is `NULL`.

since: 3.4

###### camel_sexp_result_new

No description available.

since: 3.4

###### camel_sexp_resultv_free

Frees an array of results.

since: 3.4

###### camel_sexp_set_scope

Sets the current scope for the scanner.

since: 3.4

###### camel_sexp_term_eval

Evaluates a part of the expression.

since: 3.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelSExpClass {
      GObjectClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`reserved: gpointer`

  No description available.